1. streams
Peach
  • template-messages
    • Send a pre-approved template message
      POST
    • Poll template message status
      GET
    • Poll template messages status
      GET
    • Connect to AI Agent
      POST
    • Send an App message
      POST
  • broadcasts
    • List broadcasts
      GET
    • Launch a broadcast
      POST
    • Poll broadcast status
      GET
    • Get broadcast details
      GET
    • Archive broadcast
      PATCH
    • Cancel broadcast
      PATCH
  • whatsapp_templates
    • List all templates
      GET
    • Create a template
      POST
    • Update template
      PATCH
    • Archive template
      PATCH
    • Pause template
      PATCH
    • Submit template
      PATCH
    • Fetch template details
      GET
  • conversations
    • List messages
      GET
    • List conversations
      GET
    • Update conversation status
      PATCH
    • Agent Assignment
      POST
    • Close Conversation
      POST
  • contacts
    • Create multiple contacts
    • Update a contact
    • Create a contact
    • Bulk update communication preferences
    • Create setup guest link
    • Expire setup guest link
    • Regenerate setup guest link
  • orders
    • Create an order
    • Find order by ID
    • Create a refund for an order
  • medias
    • About uploaded media
    • List available medias
    • Add a media (Deprecated)
    • Remove a media
    • Create a direct upload for media
    • Finalize a direct uploaded media
  • webhooks
    • Order status webhooks
    • Flow execution status webhooks
    • Message delivery status webhooks
    • AI Agent Execution Webhooks
  • streams
    • List automations
      GET
    • Create automation
      POST
    • Get automation
      GET
    • Update automation
      PATCH
    • Trigger automation
      POST
  • triggers
    • List triggers
    • Create trigger
    • Update trigger
  • expressions
    • List condition library
  • Schemas
    • Schemas
      • WhatsApp Template
      • WhatsApp Template Parameters
      • Order
      • RefundRequest
      • Contact
      • LineItem
      • OrderExpiry
      • TemplateMessage
      • AnyValue
      • Argument
      • Message
      • MessageResponse
  1. streams

Trigger automation

POST
/api/v1/streams/{stream_id}/events
Fire an event at an automation for a contact. The payload (with a trigger's data-mappings) becomes {{key}} in steps.

Request

Authorization
Add parameter in header
Authorization
Example:
Authorization: ********************
Path Params

Body Params application/json

Example
{
    "contact": {
        "phone_number": "string",
        "name": "string",
        "email": "string"
    },
    "property1": "string",
    "property2": "string"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/api/v1/streams/strm_1234abcd/events' \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
    "contact": {
        "phone_number": "string",
        "name": "string",
        "email": "string"
    },
    "property1": "string",
    "property2": "string"
}'

Responses

🟢200Success
application/json
Bodyapplication/json

Example
{
    "status": "string"
}
🟠404Not found
Modified at 2026-06-03 12:30:45
Previous
Update automation
Next
List triggers
Built with